# Define _make_verbose if it doesn't exist (RHEL8)
%{!?_make_verbose:%define _make_verbose V=1 VERBOSE=1}

Name:           nginx-mod-zstd
Version:        0.1.1
Release:        4%{?dist}
Summary:        Nginx zstd module
License:        BSD-2-Clause
URL:            https://github.com/tokers/zstd-nginx-module
Packager:       Teddysun <i@teddysun.com>
Source0:        https://github.com/tokers/zstd-nginx-module/archive/refs/tags/v%{version}.tar.gz#/zstd-nginx-module-%{version}.tar.gz
Patch0:         zstd-nginx-module~fix-infinite-loop.patch

BuildRequires:  gcc
BuildRequires:  nginx-mod-devel

%description
Nginx modules for the Zstandard compression.

zstd-nginx-module is a set of two nginx modules:
ngx_http_zstd_filter_module - used to compress responses on-the-fly,
ngx_http_zstd_static_module - used to serve pre-compressed files.

%prep
%autosetup -p1 -n zstd-nginx-module-%{version}

%build
%nginx_modconfigure
%nginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_zstd_filter_module.so %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_zstd_static_module.so %{buildroot}%{nginx_moddir}
popd

install -dm 0755 %{buildroot}%{nginx_modconfdir}
echo 'load_module "%{nginx_moddir}/ngx_http_zstd_filter_module.so";' \
    > %{buildroot}%{nginx_modconfdir}/mod-zstd.conf
echo 'load_module "%{nginx_moddir}/ngx_http_zstd_static_module.so";' \
    >> %{buildroot}%{nginx_modconfdir}/mod-zstd.conf

%files
%license LICENSE
%doc README.md
%{nginx_moddir}/ngx_http_zstd_filter_module.so
%{nginx_moddir}/ngx_http_zstd_static_module.so
%{nginx_modconfdir}/mod-zstd.conf

%changelog
* Wed Jun 25 2025 Teddysun <i@teddysun.com> - 0.1.1-4
- Rebuild for nginx 1.29.0

* Thu Apr 24 2025 Teddysun <i@teddysun.com> - 0.1.1-3
- Rebuild for nginx 1.28.0

* Thu Apr 17 2025 Teddysun <i@teddysun.com> - 0.1.1-2
- Rebuild for nginx 1.27.5

* Sun Mar 16 2025 Teddysun <i@teddysun.com> - 0.1.1-1
- Initial packaging version 0.1.1 for nginx 1.27.4
